<?php

$session = $this->getSession();
$filter_html = new Yab_Filter_Html();
$pager = new Yab_Helper_Pager($uses, 'pager_us');

$uses = $pager->getStatement();
$sitefouille_id = $session->get('sitefouille_id') ;
    
    
?>


<div class="table-responsive">
  <div id="optiontools">
    <div style="padding: 10px; float:left;">
      <span>
        <a href="<?php echo $this->getRequest('Dashboard_Us','Export') ?>?sitefouille_id=<?php echo $sitefouille_id ; ?>&export_type=excel">
          <img 
              src="<?php echo $request->getBaseUrl(); ?>/images/icone_xls.gif" 
              alt="Export des US pour <?php echo $sitefouille_id ; ?>" 
              title="Export des US pour <?php echo $sitefouille_id ; ?>" 
              border="0"
              height="24" width="24"
            />
        </a>    
      </span>
    </div>
  </div>
  <table class="table table-striped table-bordered table-hover table-condensed table-bordered table-hover table-condensed">
  	<caption>Us</caption>
  	<thead>
  		<tr>
  			<th><?php echo $pager->getSortLink('identification'); ?></th>
  			<th><?php echo $pager->getSortLink('description'); ?></th>
  			<th><?php echo $pager->getSortLink('debut'); ?></th>
  			<th><?php echo $pager->getSortLink('fin'); ?></th>
  			<th><?php echo $pager->getSortLink('instformdeb_aaaa'); ?></th>
  			<th><?php echo $pager->getSortLink('instformdeb_mm'); ?></th>
  			<th><?php echo $pager->getSortLink('instformdeb_jj'); ?></th>
  			<th><?php echo $pager->getSortLink('instformdeb_ad'); ?></th>
  			<th><?php echo $pager->getSortLink('instformfin_aaaa'); ?></th>
  			<th><?php echo $pager->getSortLink('instformfin_mm'); ?></th>
  			<th><?php echo $pager->getSortLink('instformfin_jj'); ?></th>
  			<th><?php echo $pager->getSortLink('instformfin_ad'); ?></th>
  			<th><?php echo $pager->getSortLink('dureeinstformdeb'); ?></th>
  			<th><?php echo $pager->getSortLink('dureeinstformfin'); ?></th>
  			<th><?php echo $pager->getSortLink('occupation'); ?></th>
  			<th><?php echo $pager->getSortLink('couleur'); ?></th>
  			<th><?php echo $pager->getSortLink('interpretation'); ?></th>
  			<th><?php echo $pager->getSortLink('contexte_id'); ?></th>
  			<th><?php echo $pager->getSortLink('consistance_id'); ?></th>
  			<th><?php echo $pager->getSortLink('methodefouille_id'); ?></th>
  			<th><?php echo $pager->getSortLink('elementmineral_tuiles'); ?></th>
  			<th><?php echo $pager->getSortLink('elementmineral_brique'); ?></th>
  			<th><?php echo $pager->getSortLink('elementorganique_charbon'); ?></th>
  			<th><?php echo $pager->getSortLink('elementorganique_cendre'); ?></th>
  			<th><?php echo $pager->getSortLink('elementmineral_platre'); ?></th>
  			<th><?php echo $pager->getSortLink('descriptionorganique'); ?></th>
  			<th><?php echo $pager->getSortLink('descriptionmineral'); ?></th>
  			<th><?php echo $pager->getSortLink('materielisole'); ?></th>
  			<th><?php echo $pager->getSortLink('materielconserve_poterie'); ?></th>
  			<th><?php echo $pager->getSortLink('materielconserve_osanimal'); ?></th>
  			<th><?php echo $pager->getSortLink('materielconserve_construc'); ?></th>
  			<th><?php echo $pager->getSortLink('homogeneite_id'); ?></th>
  			<th><?php echo $pager->getSortLink('sitefouille_id'); ?></th>
  			<th colspan="2">#</th>
  		</tr>
  	</thead>
  	<tbody>
  	<?php foreach($uses as $us): ?>
  		<tr>
  			<td<?php echo $pager->getClass($uses); ?>>
          <a href="<?php echo $this->getRequest('Us', 'visu', $us->getPrimary()); ?>">
            <?php echo $us->get('identification', $filter_html); ?>  
          </a>     
        
        </td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('description', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('debut', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('fin', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('instformdeb_aaaa', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('instformdeb_mm', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('instformdeb_jj', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('instformdeb_ad', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('instformfin_aaaa', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('instformfin_mm', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('instformfin_jj', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('instformfin_ad', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('dureeinstformdeb', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('dureeinstformfin', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('occupation', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('couleur', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('interpretation', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('contexte_id', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('consistance_id', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('methodefouille_id', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('elementmineral_tuiles', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('elementmineral_brique', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('elementorganique_charbon', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('elementorganique_cendre', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('elementmineral_platre', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('descriptionorganique', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('descriptionmineral', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('materielisole', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('materielconserve_poterie', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('materielconserve_osanimal', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('materielconserve_construc', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('homogeneite_id', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><?php echo $us->get('sitefouille_id', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($uses); ?>><a href="<?php echo $this->getRequest('Us', 'edit', $us->getPrimary()); ?>"><span class="glyphicon glyphicon-edit" style="font-size: 18px;" alt="Editer" title="Editer" ></span></a></td>
  			<td<?php echo $pager->getClass($uses); ?>><a href="<?php echo $this->getRequest('Us', 'delete', $us->getPrimary()); ?>"><span class="glyphicon glyphicon-remove-circle alert-danger" style="font-size: 18px;" alt="Supprimer" title="Supprimer"></span></a></td>
  		</tr>
  	<?php endforeach; ?>
  	</tbody>
  	<tfoot>
  		<tr>
  			<td colspan="40"><?php echo $pager->getPagination(); ?></td>
  		</tr>
  		<tr>
  			<td colspan="40">
  				<a href="<?php echo $this->getRequest('Us', 'add'); ?>" class="btn btn-primary">Ajouter</a>
  				<a href="<?php echo $this->getRequest('Index', 'index'); ?>" class="btn btn-default" >Retour &agrave; index</a>
  			</td>
  		</tr>
  	</tfoot>
  </table>
</div>